Get Components

Get Components

Get components by filter criteria and helps paginate based on sddclcms.

Request
URI
GET
https://vcf.broadcom.com/fleet-lcm/v1/components
COPY
Query Parameters
string
sddcLcmId
Optional

SDDC LCM identifier to filter by.

string
vspClusterFqdn
Optional

The fqdn of the VSP cluster on which the components to filter for are deployed.

string
scope
Optional

Component scope to filter by.

Possible values are : FLEET, INSTANCE,
boolean
backupAllowed
Optional

Whether backup is allowed or not for this component.

boolean
includeConsumptionVsp
Optional

Whether to include the vsp consumption cluster.

boolean
includeVcdMigrator
Optional

Whether to include the VCD Migrator component.

integer
pageNumber
Optional
Constraints: default: 1

Page Number (1-based, defaults to 1)

integer
pageSize
Optional

Page Size. Maximum allowed is 100


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns Components of type(s) application/json
{
    "components": [
        {
            "componentType": "componentType",
            "fqdn": "fqdn",
            "certificate": "certificate",
            "vspCluster": {
                "fqdn": "fqdn",
                "certificate": "certificate",
                "id": "id",
                "type": "MANAGEMENT"
            },
            "version": "version",
            "sddcLcmId": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
            "deploymentType": "OVA",
            "nodes": [
                {
                    "size": "size",
                    "fqdn": "fqdn",
                    "ipAddress": "ipAddress",
                    "name": "name",
                    "id": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
                    "nodeType": "nodeType",
                    "version": "version",
                    "sddcLcmId": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
                    "status": "status"
                },
                {
                    "size": "size",
                    "fqdn": "fqdn",
                    "ipAddress": "ipAddress",
                    "name": "name",
                    "id": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
                    "nodeType": "nodeType",
                    "version": "version",
                    "sddcLcmId": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
                    "status": "status"
                }
            ],
            "size": "size",
            "scope": "FLEET",
            "vcenter": {
                "fqdn": "fqdn",
                "sslThumbprint": "sslThumbprint",
                "id": "id"
            },
            "id": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
            "componentTypeDescription": "VCF Operations"
        },
        {
            "componentType": "componentType",
            "fqdn": "fqdn",
            "certificate": "certificate",
            "vspCluster": {
                "fqdn": "fqdn",
                "certificate": "certificate",
                "id": "id",
                "type": "MANAGEMENT"
            },
            "version": "version",
            "sddcLcmId": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
            "deploymentType": "OVA",
            "nodes": [
                {
                    "size": "size",
                    "fqdn": "fqdn",
                    "ipAddress": "ipAddress",
                    "name": "name",
                    "id": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
                    "nodeType": "nodeType",
                    "version": "version",
                    "sddcLcmId": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
                    "status": "status"
                },
                {
                    "size": "size",
                    "fqdn": "fqdn",
                    "ipAddress": "ipAddress",
                    "name": "name",
                    "id": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
                    "nodeType": "nodeType",
                    "version": "version",
                    "sddcLcmId": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
                    "status": "status"
                }
            ],
            "size": "size",
            "scope": "FLEET",
            "vcenter": {
                "fqdn": "fqdn",
                "sslThumbprint": "sslThumbprint",
                "id": "id"
            },
            "id": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
            "componentTypeDescription": "VCF Operations"
        }
    ],
    "pageMetadata": {
        "pageNumber": 5,
        "totalPages": 7,
        "pageSize": 5,
        "totalElements": 2
    }
}
array of object
components
Optional

Installed Component subject to lifecycle.

object
pageMetadata
Optional

Retrieves the parameters needed to help pagination on client.


401

Unauthorized

Returns ErrorResponse of type(s) application/json
{
    "code": "code",
    "detail": "detail",
    "message": {
        "args": {
            "cloudProxyFqdn": "cloudProxy1.vsphere.local"
        },
        "localizedMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "defaultMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "id": "com.broadcom.lcm.ops.cloudproxy.upgrade.started"
    },
    "resolution": {
        "args": {
            "cloudProxyFqdn": "cloudProxy1.vsphere.local"
        },
        "localizedMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "defaultMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "id": "com.broadcom.lcm.ops.cloudproxy.upgrade.started"
    },
    "referenceId": "referenceId",
    "timestamp": "2000-01-23T04:56:07.000Z"
}
string
code
Required

Unique error code for programmatic identification.

object
message
Required

message

object
resolution
Required

resolution

string
referenceId
Required

An identifier for tracing the error in the logs.

string As date-time As date-time
timestamp
Required

The date and time when the error occurred.

string
detail
Optional

Freeform extra information, such as raw error payloads or additional context.


500

Internal server error

Returns ErrorResponse of type(s) application/json
{
    "code": "code",
    "detail": "detail",
    "message": {
        "args": {
            "cloudProxyFqdn": "cloudProxy1.vsphere.local"
        },
        "localizedMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "defaultMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "id": "com.broadcom.lcm.ops.cloudproxy.upgrade.started"
    },
    "resolution": {
        "args": {
            "cloudProxyFqdn": "cloudProxy1.vsphere.local"
        },
        "localizedMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "defaultMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "id": "com.broadcom.lcm.ops.cloudproxy.upgrade.started"
    },
    "referenceId": "referenceId",
    "timestamp": "2000-01-23T04:56:07.000Z"
}
string
code
Required

Unique error code for programmatic identification.

object
message
Required

message

object
resolution
Required

resolution

string
referenceId
Required

An identifier for tracing the error in the logs.

string As date-time As date-time
timestamp
Required

The date and time when the error occurred.

string
detail
Optional

Freeform extra information, such as raw error payloads or additional context.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/fleet-lcm/v1/components